summaryrefslogtreecommitdiff
path: root/make.sh
diff options
context:
space:
mode:
Diffstat (limited to 'make.sh')
-rw-r--r--make.sh17
1 files changed, 14 insertions, 3 deletions
diff --git a/make.sh b/make.sh
index 0d133cd..9b72bcf 100644
--- a/make.sh
+++ b/make.sh
@@ -1,4 +1,15 @@
-#!/usr/bin/zsh
+#!/bin/sh
+
+if command -v nproc >/dev/null 2>&1; then
+ cores=$(nproc)
+elif command -v sysctl >/dev/null 2>&1; then
+ cores=$(sysctl -n hw.ncpu)
+else
+ echo "Error: Unable to determine the number of CPU cores."
+ exit 1
+fi
+
+make clean;
+yes | rm config.h;
+make -j"$cores" && echo "Now run "doas make install" to install DWM" || echo "Error"
-rm config.h
-make install